extends "res://scenes/levels/level.gd"
export(String, FILE, "*.tscn") var next_level

func _process(delta):
	if Input.is_action_just_pressed("ui_cancel"):
		_disable_signals()
		main.load_level(next_level, true)

func _disable_signals():
	for sig in get_signal_list():
		for con in get_signal_connection_list(sig.name):
			disconnect(con.signal_name, self, con.method_name)
